/*******************************************************************************
*
* (c) 2021 Copyright A-Vision Software
*
* File description :        Arduino dot-matrix dies
*
* Created by       :        Arnold Velzel
* Created on       :        08-10-2021
*
*******************************************************************************/

// Definities
#define DEBUG_ENABLED           true

#define DISPLAY_ROWS            1
#define DISPLAY_COLUMNS         1
#define DISPLAY_HARDWARE_TYPE   MD_MAX72XX::PAROLA_HW

#define BUTTON1                 D6

// Includes
#include "avision_debug.h"
#include "avision_display.h"
// https://pjrp.github.io/MDParolaFontEditor -- maak je eigen font
#include "dies_font.h"

// Maak display object
AVision::dotmatrixDisplay display;

void setup()
{
    // https://www.arduino.cc/reference/en/language/functions/digital-io/pinmode/
    pinMode(BUTTON1, INPUT_PULLUP);

    initDebug(DEBUG_ENABLED);
    display.init(DISPLAY_ROWS, DISPLAY_COLUMNS);
    display.setFont(_font_die_numbers);

    display.text = "";

    for (size_t i = 0; i < 6; i++)
    {
        display.text = String(i+1);
        display.loop();
        delay(250);
    }
    delay(500);

    display.text = "0";
    display.loop();
}

void loop()
{
    // https://www.arduino.cc/reference/en/language/functions/digital-io/digitalread/
    if (digitalRead(BUTTON1) == LOW) {
        // https://www.arduino.cc/reference/en/language/functions/random-numbers/random/
        display.text = String(random(1,7));
        display.loop();
    }
}
